package com.iamberry.wechat.core.entity;
import java.util.Date;
public class PaperBean implements java.io.Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = -4384087643092452530L;
	/*检索到多少行*/
	private Integer maxNum;
	/*检索从多少行开始*/
	private Integer minNum;
	//开始时间
	private Date beginDate;
	//结束时间
	private Date endDate;
	//最小价格
	private Double minMoney;
	//最大价格
	private Double maxMoney;
	/*其他特殊数据*/
	private String str;
	/*特殊整形*/
	private Integer otherInt;
	//搜索的内容
	private String text;
	//订单的状态
	private String status;
	private Integer hid;
	public Integer getHid() {
		return hid;
	}
	public void setHid(Integer hid) {
		this.hid = hid;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getText() {
		return text;
	}
	public void setText(String text) {
		this.text = text;
	}
	public Integer getOtherInt() {
		return otherInt;
	}
	public void setOtherInt(Integer otherInt) {
		this.otherInt = otherInt;
	}
	public String getStr() {
		return str;
	}
	public void setStr(String str) {
		this.str = str;
	}
	public Integer getMaxNum() {
		return maxNum;
	}
	public void setMaxNum(Integer maxNum) {
		this.maxNum = maxNum;
	}
	public Integer getMinNum() {
		return minNum;
	}
	public void setMinNum(Integer minNum) {
		this.minNum = minNum;
	}
	public Date getBeginDate() {
		return beginDate;
	}
	public void setBeginDate(Date beginDate) {
		this.beginDate = beginDate;
	}
	public Date getEndDate() {
		return endDate;
	}
	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}
	public Double getMinMoney() {
		return minMoney;
	}
	public void setMinMoney(Double minMoney) {
		this.minMoney = minMoney;
	}
	public Double getMaxMoney() {
		return maxMoney;
	}
	public void setMaxMoney(Double maxMoney) {
		this.maxMoney = maxMoney;
	}
	@Override
	public String toString() {
		return "PaperBean [maxNum=" + maxNum + ", minNum=" + minNum
				+ ", beginDate=" + beginDate + ", endDate=" + endDate +", minMoney=" + minMoney
				+", maxMoney=" + maxMoney + ", str=" + str + ", otherInt=" + otherInt + ", text=" + text
				+ ", status=" + status + "]";
	}
	public void setPaperData(int pageNO, int pageSize) {
		this.setMinNum((pageNO-1)*pageSize);
		this.setMaxNum(pageSize);
	}
	public static int justPaperCount(int count, int pageSize) {
		count = count % pageSize == 0? count/pageSize:(count/pageSize)+1;
		return count;
	}
}
